Program TstLogical;

{ Version 1
  File:[22,311]TSTLOGNAM.PAS
  Author: Jim Bostwick  13-MAY-1988 
  History:

  Last Edit: 9-JUN-1988 11:21:37 

Testing P3UTIL module(s):  Logical Name Routines
		(RLON )

}

%INCLUDE EX:[22,320]GENERAL3.TYP;
%INCLUDE EX:[22,320]LOGNAM.TYP;
%INCLUDE EX:[22,320]STRING.PKG; 
%INCLUDE EX:[22,320]CLON.EXT;
%INCLUDE EX:[22,320]DLON.EXT;
%INCLUDE EX:[22,320]RLON.EXT;
%INCLUDE EX:[22,320]TLON.EXT;

TYPE
  String = packed array [0..80] of char;

VAR
  Str1, Str2: String;	
  Str3: Ch8;
  Str4: Ch10;
  Tab_str: String;  
  Log_Table: Logical_table_typ;
  num: integer;

Begin
  { Clon test }
  SAssign(Str1,'SYS$NODE');
  writeln('Testing RLON with type-0 str1.');
  Sclear(str2);
  Rlon(Str1,Str2,num);
  writeln(' and the status is ',$dsw:-8);
  SWrite(output,str2);
  Writeln;
  writeln('Testing RLON with type-1 constant str1.');
  Sclear(str2);
  Rlon('SYS$NODE',Str2,num);
  writeln(' and the status is ',$dsw:-8);
  SWrite(output,str2);
  Writeln;
  writeln('Testing RLON with type-1 ch8 str1.');
  Sclear(str2);
  SAssign(Str3,'SYS$NODE');
  Rlon(Str3,Str2,num);
  writeln(' and the status is ',$dsw:-8);
  SWrite(output,str2);
  Writeln;
  writeln('Testing RLON with type-1 ch10 str1.');
  Sclear(str2);
  SAssign(Str4,'SYS$NODE');
  Rlon(Str4,Str2,num);
  writeln(' and the status is ',$dsw:-8);
  SWrite(output,str2);
  Writeln

end.

